Page MenuHomePhabricator

[Story] autogenerated Wikibase documentation
Closed, ResolvedPublic

Description

We would like to have an auto generated documentation for Wikibase.

We would like to have php (doxygen) and js (jsduck) docs.
We would like to have them linked on http://wikiba.se/resources/ and https://doc.wikimedia.org/

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 19 2016, 11:08 AM

Using the CI template jsduck and job mwext-jsduck-publish might just work, however https://www.mediawiki.org/wiki/Continuous_integration/Entry_points#JavaScript_documentation is inconsistent with that, see also T109005.
Regarding doxygen there is T66996.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 8:14 PM
hashar added a subscriber: hashar.Apr 20 2016, 7:39 AM

jsduck is a ruby gems, we had a recentish version provided as a Debian package for Ubuntu Trusty but it turned out to be a nightmare to build for Debian Jessie. So instead we should move to use bundler to install it and define a rake doc command to generate it (Jan pointed to T109005).

Regarding Doxygen, other extensions have similar needs such as Echo T117025. Potentially one of the issue is generating the documentation would probably need a copy of MediaWiki core and it seems dumb to generate the whole mw doc for each extension.

Change 284475 had a related patch set uploaded (by Jonas Kress (WMDE)):
Add jsduck file for JS docs generation

https://gerrit.wikimedia.org/r/284475

Change 284477 had a related patch set uploaded (by Jonas Kress (WMDE)):
Add jsduck file for JS docs generation

https://gerrit.wikimedia.org/r/284477

I added the jsduck.json files to the relevant repos could someone please configure (or tell me how to do it) the CI to use them to build and upload the docs.

Lydia_Pintscher renamed this task from [Story] Wikibase documentation to [Story] autogenerated Wikibase documentation .Apr 21 2016, 11:13 AM
Lydia_Pintscher triaged this task as Low priority.
Lydia_Pintscher moved this task from incoming to in progress on the Wikidata board.

Change 284475 merged by jenkins-bot:
Add jsduck file for JS docs generation

https://gerrit.wikimedia.org/r/284475

Change 284477 merged by jenkins-bot:
Add jsduck file for JS docs generation

https://gerrit.wikimedia.org/r/284477

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptOct 25 2016, 3:44 PM

Did I forget to mention @hashar? Would not have been possible without him. Thank you!